<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
StringGetAt Method (IEdmDictionary5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmDictionary5 Interface : StringGetAt Method (IEdmDictionary5)

Visual Basic
C#
C++/CLI

bsKey
  Key for which to get a value

pbsRetValue
  Value for the specified key

Gets the value for the specified string key.

# Syntax

Visual Basic |
--- | ---

    Function StringGetAt( _
       ByVal bsKey As System.String, _
       ByRef pbsRetValue As System.String _
    ) As System.Boolean

C# |
--- | ---

    System.bool StringGetAt(
       System.string bsKey,
       out System.string pbsRetValue
    )

C++/CLI |
--- | ---

    System.bool StringGetAt(
    &   System.String^ bsKey,
    &   [Out] System.String^ pbsRetValue
    )

#### Parameters

bsKey
  Key for which to get a value
pbsRetValue
  Value for the specified key

#### Return Value

True if the key was found, false if not

# Example

Change Card Variables Add-in (VB.NET)
Change Card Variables Add-in (C#)

# Remarks

C++ programmers must release the returned string by calling SysFreeString.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: The key was not found.

# See Also

####

IEdmDictionary5 Interface
IEdmDictionary5 Members
IEdmDictionary5::StringSetAt Method ()
IEdmDictionary5::StringRemoveAt Method ()
IEdmDictionary5::LongGetAt Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2